Bug 1441244 - CFME collects C&U metrics even before resource creation
Summary: CFME collects C&U metrics even before resource creation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Šimon Lukašík
QA Contact: Nandini Chandra
URL:
Whiteboard: c&u
Depends On: 1433984
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-11 13:34 UTC by Satoe Imaishi
Modified: 2017-06-26 15:33 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1433984
Environment:
Last Closed: 2017-05-31 14:51:32 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-11 13:36:06 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/6c6e5c10dd77c598b0c58e1bda3a7ff830746f71

commit 6c6e5c10dd77c598b0c58e1bda3a7ff830746f71
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Apr 10 09:25:22 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Apr 11 09:34:32 2017 -0400

    Merge pull request #14666 from isimluk/metrics-time
    
    Charge since the first MetricRollup
    (cherry picked from commit e43ccabaddc886bdeff4d0e8f91bc557ad3ac3fc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1441244

 app/models/chargeback/consumption.rb              | 6 +++++-
 app/models/chargeback/consumption_with_rollups.rb | 5 +++++
 2 files changed, 10 insertions(+), 1 deletion(-)

Comment 3 Šimon Lukašík 2017-04-12 08:35:02 UTC
Sorry for the status churn. I got confused.

Comment 4 Nandini Chandra 2017-04-25 22:51:34 UTC
Verified in 5.8.0.11

Comment 6 errata-xmlrpc 2017-05-31 14:51:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.